/***************************************************************************

	input.c

    PSP input control functions

***************************************************************************/

#ifndef PSP_INPUT_H
#define PSP_INPUT_H

#define PSP_CTRL_ANY	(0xf3f9)

void pad_init(void);
int poll_gamepad(void);
void pad_update(void);
int pad_pressed(u32 code);
int pad_pressed_any(u32 disable_code);
void pad_wait_clear(void);
void pad_wait_press(int msec);

#endif /* PSP_INPUT_H */
